# orientation property

double orientation
final

For PointerDeviceKind.touch events:

The angle of the contact ellipse, in radius in the range:

-pi/2 < orientation <= pi/2

...giving the angle of the major axis of the ellipse with the y-axis (negative angles indicating an orientation along the top-left / bottom-right diagonal, positive angles indicating an orientation along the top-right / bottom-left diagonal, and zero indicating an orientation parallel with the y-axis).

For PointerDeviceKind.stylus and PointerDeviceKind.invertedStylus events:

The angle of the stylus, in radians in the range:

-pi < orientation <= pi

...giving the angle of the axis of the stylus projected onto the input surface, relative to the positive y-axis of that surface (thus 0.0 indicates the stylus, if projected onto that surface, would go from the contact point vertically up in the positive y-axis direction, pi would indicate that the stylus would go down in the negative y-axis direction; pi/4 would indicate that the stylus goes up and to the right, -pi/2 would indicate that the stylus goes to the left, etc).

## Implementation

    final double orientation